Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.reporters
Class MailerModel

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.reporters.MailerModel

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

public class MailerModel
extends AbstractTestElement
implements Serializable

The model for a MailerVisualizer.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`MailerModel()` Constructs a MailerModel.

Method Summary
`void` | `add(SampleResult sample)` Adds a SampleResult.
`void` | `addChangeListener(ChangeListener list)`
`void` | `clear()` Resets the state of this object to its default.
`Object` | `clone()`
`Vector` | `getAddressVector()` Gets a Vector of String-objects.
`long` | `getFailureCount()`
`long` | `getFailureLimit()`
`String` | `getFailureSubject()`
`String` | `getFromAddress()`
`String` | `getSmtpHost()`
`long` | `getSuccessCount()`
`long` | `getSuccessLimit()`
`String` | `getSuccessSubject()`
`String` | `getToAddress()`
`void` | `notifyChangeListeners()`
`void` | `sendMail(String from, Vector vEmails, String subject, String attText, String smtpHost)` Sends a mail with the given parameters using SMTP.
`void` | `sendTestMail()`
`void` | `setFailureLimit(String limit)`
`void` | `setFailureSubject(String str)`
`void` | `setFromAddress(String str)`
`void` | `setSmtpHost(String str)`
`void` | `setSuccessLimit(String limit)`
`void` | `setSuccessSubject(String str)`
`void` | `setToAddress(String str)`
`String` | `toString()` Returns a String-representation of this object.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MailerModel

    public MailerModel()

  Constructs a MailerModel.

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener list)

### clone

    public Object clone()

  Specified by:
    `clone` in interface `TestElement`
  Overrides:
    `clone` in class `AbstractTestElement`

### notifyChangeListeners

    public void notifyChangeListeners()

### getAddressVector

    public Vector getAddressVector()

  Gets a Vector of String-objects. Each String is one mail-address of the addresses-String set by `setToAddress(str)`. The addresses must be seperated by commas. Only String-objects containing a "@" are added to the returned Vector.

  Returns:
    a Vector of String-objects wherein each String represents a mail-address.

### add

    public void add(SampleResult sample)

  Adds a SampleResult. If SampleResult represents a change concerning the failure/success of the sampling a message might be send to the addressies according to the settings of `successCount` and `failureCount`.

  Parameters:
    `sample` - the SampleResult encapsulating informations about the last sample.

### clear

    public void clear()

  Resets the state of this object to its default. But: This method does not reset any mail-specific attributes (like sender, mail-subject...) since they are independent of the sampling.

  Specified by:
    `clear` in interface `TestElement`
  Overrides:
    `clear` in class `AbstractTestElement`

### toString

    public String toString()

  Returns a String-representation of this object. Returns always "E-Mail-Notification". Might be enhanced in future versions to return some kind of String-representation of the mail-parameters (like sender, addressies, smtpHost...).

  Returns:
    A String-representation of this object.

### sendMail

    public void sendMail(String from,
                         Vector vEmails,
                         String subject,
                         String attText,
                         String smtpHost)
                  throws javax.mail.internet.AddressException,
                         javax.mail.MessagingException

  Sends a mail with the given parameters using SMTP.

  Parameters:
    `from` - the sender of the mail as shown in the mail-client.
    `vEmails` - all receivers of the mail. The receivers are seperated by commas.
    `subject` - the subject of the mail.
    `attText` - the message-body.
    `smtpHost` - the smtp-server used to send the mail.
  Throws:
    `javax.mail.internet.AddressException`
    `javax.mail.MessagingException`

### sendTestMail

    public void sendTestMail()
                      throws javax.mail.internet.AddressException,
                             javax.mail.MessagingException

  Throws:
    `javax.mail.internet.AddressException`
    `javax.mail.MessagingException`

### setToAddress

    public void setToAddress(String str)

### setFromAddress

    public void setFromAddress(String str)

### setSmtpHost

    public void setSmtpHost(String str)

### setFailureSubject

    public void setFailureSubject(String str)

### setSuccessSubject

    public void setSuccessSubject(String str)

### setSuccessLimit

    public void setSuccessLimit(String limit)

### setFailureLimit

    public void setFailureLimit(String limit)

### getToAddress

    public String getToAddress()

### getFromAddress

    public String getFromAddress()

### getSmtpHost

    public String getSmtpHost()

### getFailureSubject

    public String getFailureSubject()

### getSuccessSubject

    public String getSuccessSubject()

### getSuccessLimit

    public long getSuccessLimit()

### getSuccessCount

    public long getSuccessCount()

### getFailureLimit

    public long getFailureLimit()

### getFailureCount

    public long getFailureCount()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.